Overview | Modules | Class Hierarchy | Classes | Members
# tlp::ColorVectorProperty Class Reference [Properties] `#include <ColorProperty.h>` Inherits tlp::AbstractProperty< ColorVectorType, ColorVectorType >. Inheritance diagram for tlp::ColorVectorProperty: [legend] Collaboration diagram for tlp::ColorVectorProperty: [legend] List of all members. ## Public Member Functions ColorVectorProperty (Graph *g, std::string n="") PropertyInterface * clonePrototype (Graph *, const std::string &) ## Constructor & Destructor Documentation
tlp::ColorVectorProperty::ColorVectorProperty | ( | Graph * | g,
|  | std::string | n = `""`
| ) | `[inline]`
## Member Function Documentation
PropertyInterface* tlp::ColorVectorProperty::clonePrototype | ( | Graph * | ,
|  | const std::string & |
| ) | `[virtual]`
| Create an object of the same real type of the current property, in the the graph (first parameter) with the name (second parameter). Values are not copied. Implements tlp::PropertyInterface.

Tulip Software by LaBRI Visualization Team 2001 - 2010